<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Unassign ServiceType
 * @subpackage Services
 */
class Unassign extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Unassign_GeoFence
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Unassign_GeoFence $parameters
     * @return \StructType\Unassign_GeoFenceResponse|bool
     */
    public function Unassign_GeoFence(\StructType\Unassign_GeoFence $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Unassign_GeoFence($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Unassign_GeoFence_V2
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Unassign_GeoFence_V2 $parameters
     * @return \StructType\Unassign_GeoFence_V2Response|bool
     */
    public function Unassign_GeoFence_V2(\StructType\Unassign_GeoFence_V2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Unassign_GeoFence_V2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Unassign_GeoFenceResponse|\StructType\Unassign_GeoFence_V2Response
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
